<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.target.TargetPlanMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.target.TargetPlanEntity">
                    <id column="id" property="id" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="create_by" property="createBy" />
                <result column="owner_by" property="ownerBy" />
                <result column="update_by" property="updateBy" />
                <result column="sort" property="sort" />
                    <result column="year" property="year" />
                    <result column="method" property="method" />
                    <result column="cycle" property="cycle" />
                    <result column="type" property="type" />
                    <result column="target_value" property="targetValue" />
                    <result column="company_scope_id" property="companyScopeId" />
                    <result column="company_scope_name" property="companyScopeName" />
                    <result column="dept_scope_id" property="deptScopeId" />
                    <result column="dept_scope_name" property="deptScopeName" />
                    <result column="user_scope_id" property="userScopeId" />
                    <result column="user_scope_name" property="userScopeName" />
                    <result column="status" property="status" />
                    <result column="former_owner_by" property="formerOwnerBy" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                owner_by,
                update_by,
                sort,
            id, year, method, cycle, type, target_value, company_scope_id, company_scope_name, dept_scope_id, dept_scope_name, user_scope_id, user_scope_name, status, former_owner_by
        </sql>

</mapper>
